package com.cpxt.biz.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cpxt.biz.domain.BizCar;

/**
 * 车辆Service接口
 * 
 * @author YIN
 * @date 2024-12-16
 */
public interface IBizCarService 
{
    /**
     * 查询车辆
     * 
     * @param id 车辆主键
     * @return 车辆
     */
    public BizCar selectBizCarById(Long id);

    /**
     * 查询车辆列表
     * 
     * @param bizCar 车辆
     * @return 车辆集合
     */
    public List<BizCar> selectBizCarList(BizCar bizCar);

    /**
     * 新增车辆
     * 
     * @param bizCar 车辆
     * @return 结果
     */
    public int insertBizCar(BizCar bizCar);

    /**
     * 修改车辆
     * 
     * @param bizCar 车辆
     * @return 结果
     */
    public int updateBizCar(BizCar bizCar);

    /**
     * 批量删除车辆
     * 
     * @param ids 需要删除的车辆主键集合
     * @return 结果
     */
    public int deleteBizCarByIds(Long[] ids);

    /**
     * 删除车辆信息
     * 
     * @param id 车辆主键
     * @return 结果
     */
    public int deleteBizCarById(Long id);

    Page<BizCar> selectBizCarPage(BizCar bizCar,int pageNum,int pageSize);

    List<Map> selectBizTrackList(Long carId, String startTime, String endTime);

}
